Update a webhook by ID
curl --request PATCH \
--url https://dev-public-api.openphone.dev/webhooks/{webhookId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"url": "https://example.com/",
"events": [
"call.completed"
],
"resourceIds": [
"PN1234"
],
"status": "enabled",
"label": "<string>"
}
'{
"data": {
"id": "123",
"orgId": "OR1223abc",
"label": "my webhook label",
"status": "enabled",
"url": "https://example.com/",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"events": [
"message.received"
],
"resourceIds": [
"PN1234"
],
"apiVersion": "2026-03-30"
}
}{
"message": "/url: Expected required property, /url: Expected string",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/url",
"message": "Expected required property",
"schema": {
"type": "String"
}
},
{
"path": "/url",
"message": "Expected string",
"schema": {
"type": "String"
}
}
]
}{
"message": "You are unauthorized to access the webhook",
"docs": "https://quo.com/docs",
"title": "Unauthorized"
}{
"message": "You are forbidden to access the webhook",
"docs": "https://quo.com/docs",
"title": "Forbidden"
}{
"message": "Webhook with ID 123 not found",
"docs": "https://quo.com/docs",
"title": "Not Found"
}{
"message": "An unknown error occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error"
}Webhooks
Update a webhook by ID
Partially update an existing webhook. Only the fields provided in the request body will be updated.
PATCH
/
webhooks
/
{webhookId}
Update a webhook by ID
curl --request PATCH \
--url https://dev-public-api.openphone.dev/webhooks/{webhookId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"url": "https://example.com/",
"events": [
"call.completed"
],
"resourceIds": [
"PN1234"
],
"status": "enabled",
"label": "<string>"
}
'{
"data": {
"id": "123",
"orgId": "OR1223abc",
"label": "my webhook label",
"status": "enabled",
"url": "https://example.com/",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"events": [
"message.received"
],
"resourceIds": [
"PN1234"
],
"apiVersion": "2026-03-30"
}
}{
"message": "/url: Expected required property, /url: Expected string",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/url",
"message": "Expected required property",
"schema": {
"type": "String"
}
},
{
"path": "/url",
"message": "Expected string",
"schema": {
"type": "String"
}
}
]
}{
"message": "You are unauthorized to access the webhook",
"docs": "https://quo.com/docs",
"title": "Unauthorized"
}{
"message": "You are forbidden to access the webhook",
"docs": "https://quo.com/docs",
"title": "Forbidden"
}{
"message": "Webhook with ID 123 not found",
"docs": "https://quo.com/docs",
"title": "Not Found"
}{
"message": "An unknown error occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of a webhook
Pattern:
^[0-9]+$Example:
"123"
Body
application/json
The endpoint that receives events from the webhook.
Example:
"https://example.com/"
An event associated with the webhook.
Minimum array length:
1Event type
Available options:
message.received, message.delivered, message.failed, message.undelivered, call.ringing, call.answered, call.completed, call.missed, call.forwarded, call.menu.selected, call.recording.completed, call.transcript.completed, call.summary.completed, call.voicemail.completed, contact.updated, contact.deleted, integration.created, integration.updated, integration.deleted, task.assigned, task.created, task.completed, task.updated, task.deleted, task.unassigned, task.reopened, task.duedate.removed, task.duedate.updated, task.overdue, task.linked, task.unlinked The unique identifiers of the phone numbers associated with the webhook. Pass null, [], or ["*"] to clear phone number filtering.
Pattern:
^PN(.*)$Example:
["PN1234"]
The status of the webhook.
Available options:
enabled, disabled Example:
"enabled"
Webhook's label
Response
OK
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Was this page helpful?